/** An example of a class defining counter objects.
 **/

public class Counter {

  private int count = 0;                // instance variable

  public void increment() {             // instance method
    count++;
  }

  public int getCount() {               // another
    return count;
  }

  // for stand-alone testing
  public static void main(String[] args) {

    Counter[] cArray = new Counter[5];
    for (int i = 0; i < cArray.length; i++ ) {
      cArray[i] = new Counter();
      for (int num = 0; num < 10; num++) {
        cArray[i].increment();
      }
    }

    for (int i = 0; i < cArray.length; i++) {
      System.out.println("cArray[" + i + "] = " + cArray[i].getCount());
    }
    // What is output from the above?
  }
}
