/** encapsulate the characteristics of an UnderGrad student
 ** @author: Jonathan Doughty
 **/

public class UnderGradStudent extends AnyStudent {

  private float GPA;

  // A constructor that will create student objects with specified name and id
  public UnderGradStudent( String studentName) {
    super(studentName);                 // invoke AnyStudent constructor
  }

  public float getGPA() {
    return GPA;
  }

  public String toString() {
    String basic = super.toString();
    return basic + " GPA:" + GPA;
  }

  // Other methods associated with being an undergraduate student ...
}
